# dev-error-handler

HTTP error-handling middleware that displays syntax highlighted source code.
To be used in development only!

[![Build Status](https://travis-ci.org/alessioalex/dev-error-handler.svg)](https://travis-ci.org/alessioalex/dev-error-handler)

![pic](https://i.cloudup.com/R-TuJQXGkE-1200x1200.jpeg)

## usage

You can use it with Node's `http` module:

```js
var errorHandler = require('dev-error-handler');

http.createServer(function(req, res) {
  if (req.url === '/favicon.ico') { return res.end(); }

  try {
    getSampleError();
  }
  catch(err) {
    errorHandler(err, req, res);
  }
}).listen(7777);
```

..or most likely with something like Express:

```js
var errorHandler = require('dev-error-handler');
var express = require('express');
var app = express();
var ENV = process.env.NODE_ENV || 'development';

app.get('*', function(req, res, next) {
  return next(new Error('oh noess!'));
});

if (ENV === 'development') {
  app.use(errorHandler);
}

app.listen(process.env.PORT || 7777);
```

Type `npm run example` to hit if off!

## test

`npm test`

## similar modules

- [debug-errorpage](https://github.com/nzakas/debug-errorpage)
- [express-error](https://github.com/barc/express-error)

## license

[MIT](http://alessioalex.mit-license.org/)
